Name:          libindicator
Version:       12.10.1
Release:       15
Summary:       Shared functions for Ayatana indicators
License:       GPLv3
URL:           https://launchpad.net/libindicator
Source0:       https://launchpad.net/libindicator/12.10/12.10.1/+download/%{name}-%{version}.tar.gz
BuildRequires: chrpath gtk-doc libtool pkgconfig dbus-glib-devel gtk2-devel gtk3-devel gnome-common
Requires:      pkgconfig
Provides:      %{name}-tools = %{version}-%{release}
Obsoletes:     %{name}-tools < %{version}-%{release}
Patch0001:     libindicator-add-patch-to-modify-build-err.patch

%description
A set of symbols and convenience functions that all Ayatana indicators are likely to use.

%package       devel
Summary:       Development files for libindicator
Requires:      %{name} = %{version}-%{release} pkgconfig

%description   devel
The libindicator-devel package contains libraries and header files
for developing applications that use libindicator.

%package       gtk3
Summary:       GTK+3 build of libindicator
Requires:      pkgconfig
Provides:      %{name}-gtk3-tools = %{version}-%{release}
Obsoletes:     %{name}-gtk3-tools < %{version}-%{release}

%description   gtk3
A set of symbols and convenience functions that all Ayatana indicators are likely
to use. This is the GTK+ 3 build of libindicator, for use by GTK+ 3 apps.

%package       gtk3-devel
Summary:       Development files for libindicator-gtk3
Requires:      %{name}-gtk3 = %{version}-%{release} pkgconfig

%description   gtk3-devel
The libindicator-gtk3-devel package contains libraries and header files for
developing applications that use libindicator-gtk3.


%prep
%autosetup -p1
sed -i.addvar configure.ac -e '\@LIBINDICATOR_LIBS@s|\$LIBM| \$LIBM|'

cat > autogen.sh <<EOF
#!/bin/sh

PKG_NAME="libindicator"

which gnome-autogen.sh || {
    echo "You need gnome-common from GNOME SVN"
    exit 1
}

USE_GNOME2_MACROS=1 \
. gnome-autogen.sh
EOF

NOCONFIGURE=1 sh autogen.sh


%build
%global _configure ../configure
rm -rf build-gtk{2,3}
mkdir build-gtk{2,3}

for gtk_version in 2 3
do
    cd build-gtk${gtk_version}
    export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
    %configure --with-gtk=${gtk_version} --disable-static --disable-silent-rules
    sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
    sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
    sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
    %make_build
    cd ..
done


%install
for gtk_version in 2 3
do
    cd build-gtk${gtk_version}
    %make_install
    cd ..
    (
        export PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
        for var in iconsdir indicatordir %{nil}
        do
            if [ ${gtk_version} == "2" ]
            then
                mkdir -p %{buildroot}$(pkg-config --variable=${var} indicator-0.4)
            elif [ ${gtk_version} == "3" ]
            then
                mkdir -p %{buildroot}$(pkg-config --variable=${var} indicator3-0.4)
            fi
        done
    )
done

%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post gtk3
/sbin/ldconfig

%postun gtk3
/sbin/ldconfig


%files
%exclude %{_libdir}/libdummy-indicator*.so
%doc AUTHORS COPYING NEWS ChangeLog
%{_libdir}/libindicator.so.*
%{_libdir}/indicators/
%dir %{_datadir}/libindicator/
%dir %{_datadir}/libindicator/icons/
%{_libexecdir}/indicator-loader
%{_datadir}/libindicator/80indicator-debugging

%files devel
%dir %{_includedir}/libindicator-0.4/
%dir %{_includedir}/libindicator-0.4/libindicator/
%{_includedir}/libindicator-0.4/libindicator/*.h
%{_libdir}/libindicator.so
%{_libdir}/pkgconfig/indicator-0.4.pc

%files gtk3
%doc AUTHORS COPYING NEWS ChangeLog
%{_libdir}/libindicator3.so.*
%{_libdir}/indicators3/
%dir %{_datadir}/libindicator/
%dir %{_datadir}/libindicator/icons/
%{_libexecdir}/indicator-loader3

%files gtk3-devel
%dir %{_includedir}/libindicator3-0.4/
%dir %{_includedir}/libindicator3-0.4/libindicator/
%{_includedir}/libindicator3-0.4/libindicator/*.h
%{_libdir}/libindicator3.so
%{_libdir}/pkgconfig/indicator3-0.4.pc


%changelog
* Mon Jan 13 2020 yanzhihua<yanzhihua4@huawei.com> - 12.10.1-15
- Fix deprecated error

* Sat Dec 21 2019 zoushuangshuang<zoushuangshuang@huawei.com> - 12.10.1-14
- Package init
